net.i2p.router.web.helpers

## Class LogsHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.LogsHelper

-     public class LogsHelper
      extends HelperBase

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogsHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearThrough(int n, int crit, long wn, long wts, String wf, String consoleNonce)`
    `String` | `getBuiltBy()`
    `int` | `getCriticalLogCount()` Returns the number of critical/error log messages currently displayed.
    `String` | `getCriticalLogs()`
    `String` | `getJettyVersion()`
    `String` | `getJstlVersion()`
    `int` | `getLastCriticalMessageNumber()` Call before getLogs(), getCriticalLogs(), or getLastMessageNumber() Side effect - calls logManager.flush()
    `int` | `getLastMessageNumber()` Call before getLogs()
    `String` | `getLogs()` Does not call logManager.flush(); call getCriticalLogs() first to flush
    `String` | `getRevision()`
    `Object[]` | `getServiceLogs(StringBuilder obuf)` last line number -1 on error
    `String` | `getUnavailableCrypto()`
    `boolean` | `isAdvanced()` Check if advanced mode is enabled.
    `void` | `setContext(RouterContext context)`

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogsHelper

          public LogsHelper()

  - ### Method Detail

    - #### clearThrough

          public void clearThrough(int n,
                                   int crit,
                                   long wn,
                                   long wts,
                                   String wf,
                                   String consoleNonce)

      Parameters:
        `n` - -1 for none
        `crit` - -1 for none
        `consoleNonce` - must match

    - #### getBuiltBy

          public String getBuiltBy()

    - #### getCriticalLogCount

          public int getCriticalLogCount()

      Returns the number of critical/error log messages currently displayed.
      Returns:
        the count of critical/error messages

    - #### getCriticalLogs

          public String getCriticalLogs()

    - #### getJettyVersion

          public String getJettyVersion()

    - #### getJstlVersion

          public String getJstlVersion()

      Returns:
        non-null, "n/a" on failure

    - #### getLastCriticalMessageNumber

          public int getLastCriticalMessageNumber()

      Call before getLogs(), getCriticalLogs(), or getLastMessageNumber() Side effect - calls logManager.flush()
      Returns:
        -1 if none

    - #### getLastMessageNumber

          public int getLastMessageNumber()

      Call before getLogs()
      Returns:
        -1 if none

    - #### getLogs

          public String getLogs()

      Does not call logManager.flush(); call getCriticalLogs() first to flush

    - #### getRevision

          public String getRevision()

    - #### getServiceLogs

          public Object[] getServiceLogs(StringBuilder obuf)

      last line number -1 on error
      Parameters:
        `obuf` - out parameter
      Returns:
        Long timestamp, Long last line number, String filename (escaped)

    - #### getUnavailableCrypto

          public String getUnavailableCrypto()

    - #### isAdvanced

          public boolean isAdvanced()

      Description copied from class: `HelperBase`
      Check if advanced mode is enabled.
      Overrides:
        `isAdvanced` in class `HelperBase`
      Returns:
        true if advanced mode is enabled

    - #### setContext

          public void setContext(RouterContext context)